packages:
  - ./* # maybe we can constrain it to some common subdirs

catalogs:
  # Can be referenced through "catalog:rollup-toolset"
  rollup-toolset:
    rollup: ^4.22.4
    rollup-plugin-copy: ^3.5.0
    rollup-plugin-dts: ^6.1.1
    "@rollup/plugin-commonjs": ^27.0.0
    "@rollup/plugin-node-resolve": ^15.3.0
    "@rollup/plugin-replace": ^6.0.1

  typedoc-toolset:
    "typedoc": "0.27.3"
    "typedoc-gitlab-wiki-theme": "^2.1.0"
    "typedoc-plugin-markdown": "4.3.1"

  typescript-toolset:
    typescript: 5.7.3
    tslib: ^2.8.1
    tsx: ^4.19.2

  proto-toolset:
    protobufjs: ^7.2.5
    ts-proto: ^1.172.0

  playwright-toolset:
    "@playwright/test": ^1.49.1
    playwright: 1.49.1
    http-server: ^14.1.1

  husky:
    husky: 8.0.3

  terser:
    terser: ^5.39.0

  size-limit-toolset:
    size-limit: ^11.1.6
    "@size-limit/file": ^11.1.6

